Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QPlastiqueStyle

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QObject
                  com.trolltech.qt.gui.QStyle
                      com.trolltech.qt.gui.QCommonStyle
                          com.trolltech.qt.gui.QWindowsStyle
                              com.trolltech.qt.gui.QPlastiqueStyle

All Implemented Interfaces:
  QtJambiInterface

    public class QPlastiqueStyle

extends QWindowsStyle

The `QPlastiqueStyle` class provides a widget style similar to the Plastik style available in KDE.

The Plastique style provides a default look and feel for widgets on X11 that closely resembles the Plastik style, introduced by Sandro Giessl in KDE 3.2.

See Also:
  `QWindowsXPStyle`, `QMacStyle`, `QWindowsStyle`, `QCDEStyle`, `QMotifStyle`

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyle
`QStyle.ComplexControl, QStyle.ContentsType, QStyle.ControlElement, QStyle.PixelMetric, QStyle.PrimitiveElement, QStyle.StandardPixmap, QStyle.State, QStyle.StateFlag, QStyle.StyleHint, QStyle.SubControl, QStyle.SubElement`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QPlastiqueStyle()` Constructs a `QPlastiqueStyle` object.

Method Summary
`void` | `drawComplexControl(QStyle.ComplexControl control, QStyleOptionComplex option, QPainter painter, QWidget widget)` Draws the given `control` using the provided `painter` with the style options specified by `option`.
`void` | `drawControl(QStyle.ControlElement element, QStyleOption option, QPainter painter, QWidget widget)` Draws the given `element` with the provided `painter` with the style options specified by `option`.
`void` | `drawPrimitive(QStyle.PrimitiveElement element, QStyleOption option, QPainter painter, QWidget widget)` Draws the given primitive `element` with the provided `painter` using the style options specified by `option`.
`boolean` | `eventFilter(QObject watched, QEvent event)` This function is reimplemented for internal reasons.
`static QPlastiqueStyle` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QPlastiqueStyle instance pointed to by nativePointer
`int` | `hitTestComplexControl(QStyle.ComplexControl control, QStyleOptionComplex option, QPoint pos, QWidget widget)` Returns the sub control at the given `pos` in the given complex `control` (with the style options specified by `option`).
`int` | `pixelMetric(QStyle.PixelMetric metric, QStyleOption option, QWidget widget)` Returns the value of the given pixel `metric`.
`void` | `polish(QApplication app)` This function is reimplemented for internal reasons.
`void` | `polish(QPalette pal)` This function is reimplemented for internal reasons.
`void` | `polish(QWidget widget)` This function is reimplemented for internal reasons.
`QSize` | `sizeFromContents(QStyle.ContentsType type, QStyleOption option, QSize size, QWidget widget)` Returns the size of the element described by the specified `option` and `type`, based on the provided `size`.
`protected QIcon` | `standardIconImplementation(QStyle.StandardPixmap standardIcon, QStyleOption opt, QWidget widget)`
`QPalette` | `standardPalette()` This function is reimplemented for internal reasons.
`int` | `styleHint(QStyle.StyleHint hint, QStyleOption option, QWidget widget, QStyleHintReturn returnData)` Returns an integer representing the specified style `hint` for the given `widget` described by the provided style `option`.
`QRect` | `subControlRect(QStyle.ComplexControl cc, QStyleOptionComplex opt, int sc, QWidget widget)` Returns the rectangle containing the specified `sc` of the given complex `cc` (with the style specified by `opt`).
`QRect` | `subElementRect(QStyle.SubElement element, QStyleOption option, QWidget widget)` Returns the sub-area for the given `element` as described in the provided style `option`.
`protected void` | `timerEvent(QTimerEvent event)` This function is reimplemented for internal reasons.
`void` | `unpolish(QApplication app)` This function is reimplemented for internal reasons.
`void` | `unpolish(QWidget widget)` This function is reimplemented for internal reasons.

Methods inherited from class com.trolltech.qt.gui.QCommonStyle
`generatedIconPixmap`

Methods inherited from class com.trolltech.qt.gui.QStyle
`alignedRect, combinedLayoutSpacing, combinedLayoutSpacing, combinedLayoutSpacing, drawComplexControl, drawControl, drawItemPixmap, drawItemText, drawItemText, drawPrimitive, hitTestComplexControl, itemPixmapRect, itemTextRect, layoutSpacing, layoutSpacing, layoutSpacing, layoutSpacingImplementation, layoutSpacingImplementation, layoutSpacingImplementation, pixelMetric, pixelMetric, sizeFromContents, sliderPositionFromValue, sliderPositionFromValue, sliderValueFromPosition, sliderValueFromPosition, standardIcon, standardIcon, standardIcon, standardIconImplementation, standardIconImplementation, styleHint, styleHint, styleHint, subControlRect, subElementRect, visualAlignment, visualAlignment, visualPos, visualRect`

Methods inherited from class com.trolltech.qt.core.QObject
`blockSignals, childEvent, children, connectSlotsByName, customEvent, disposeLater, dumpObjectInfo, dumpObjectTree, dynamicPropertyNames, event, findChild, findChild, findChild, findChildren, findChildren, findChildren, findChildren, installEventFilter, isWidgetType, killTimer, moveToThread, objectName, parent, property, removeEventFilter, setObjectName, setParent, setProperty, signalsBlocked, startTimer, thread`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`disconnect, disconnect, signalSender`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QPlastiqueStyle

    public QPlastiqueStyle()

  Constructs a `QPlastiqueStyle` object.

Method Detail

### standardIconImplementation

    protected QIcon standardIconImplementation(QStyle.StandardPixmap standardIcon,
                                               QStyleOption opt,
                                               QWidget widget)

  Overrides:
    `standardIconImplementation` in class `QWindowsStyle`
  See Also:
    `standardIcon`

### drawComplexControl

    public void drawComplexControl(QStyle.ComplexControl control,
                                   QStyleOptionComplex option,
                                   QPainter painter,
                                   QWidget widget)

  Draws the given `control` using the provided `painter` with the style options specified by `option`.

  The `widget` argument is optional and can be used as aid in drawing the control.

  The `option` parameter is a pointer to a `QStyleOptionComplex` object that can be cast to the correct subclass using the qstyleoption_cast() function. Note that the `rect` member of the specified `option` must be in logical coordinates. Reimplementations of this function should use `visualRect` to change the logical coordinates into screen coordinates before calling the `drawPrimitive` or `drawControl` function.

  The table below is listing the complex control elements and their associated style option subclass. The style options contain all the parameters required to draw the controls, including QStyleOption::state which holds the style flags that are used when drawing. The table also describes which flags that are set when casting the given `option` to the appropriate subclass.

  Complex Control | `QStyleOptionComplex` Subclass | Style Flag | Remark
  --- | --- | --- | ---
  `CC_SpinBox` | `QStyleOptionSpinBox` | `State_Enabled` | Set if the spin box is enabled.
  `State_HasFocus` | Set if the spin box has input focus.
  `CC_ComboBox` | `QStyleOptionComboBox` | `State_Enabled` | Set if the combobox is enabled.
  `State_HasFocus` | Set if the combobox has input focus.
  `CC_ScrollBar` | `QStyleOptionSlider` | `State_Enabled` | Set if the scroll bar is enabled.
  `State_HasFocus` | Set if the scroll bar has input focus.
  `CC_Slider` | `QStyleOptionSlider` | `State_Enabled` | Set if the slider is enabled.
  `State_HasFocus` | Set if the slider has input focus.
  `CC_Dial` | `QStyleOptionSlider` | `State_Enabled` | Set if the dial is enabled.
  `State_HasFocus` | Set if the dial has input focus.
  `CC_ToolButton` | `QStyleOptionToolButton` | `State_Enabled` | Set if the tool button is enabled.
  `State_HasFocus` | Set if the tool button has input focus.
  `State_DownArrow` | Set if the tool button is down (i.e., a mouse button or the space bar is pressed).
  `State_On` | Set if the tool button is a toggle button and is toggled on.
  `State_AutoRaise` | Set if the tool button has auto-raise enabled.
  `State_Raised` | Set if the button is not down, not on, and doesn't contain the mouse when auto-raise is enabled.
  `CC_TitleBar` | `QStyleOptionTitleBar` | `State_Enabled` | Set if the title bar is enabled.
  `CC_Q3ListView` | `QStyleOptionQ3ListView` | `State_Enabled` | Set if the list view is enabled.

  Overrides:
    `drawComplexControl` in class `QWindowsStyle`
  See Also:
    `drawPrimitive`, `drawControl`

### drawControl

    public void drawControl(QStyle.ControlElement element,
                            QStyleOption option,
                            QPainter painter,
                            QWidget widget)

  Draws the given `element` with the provided `painter` with the style options specified by `option`.

  The `widget` argument is optional and can be used as aid in drawing the control. The `option` parameter is a pointer to a `QStyleOption` object that can be cast to the correct subclass using the qstyleoption_cast() function.

  The table below is listing the control elements and their associated style option subclass. The style options contain all the parameters required to draw the controls, including QStyleOption::state which holds the style flags that are used when drawing. The table also describes which flags that are set when casting the given option to the appropriate subclass.

  Note that if a control element is not listed here, it is because it uses a plain `QStyleOption` object.

  Control Element | `QStyleOption` Subclass | Style Flag | Remark
  --- | --- | --- | ---
  `CE_MenuItem`, `CE_MenuBarItem` | `QStyleOptionMenuItem` | `State_Selected` | The menu item is currently selected item.
  `State_Enabled` | The item is enabled.
  `State_DownArrow` | Indicates that a scroll down arrow should be drawn.
  `State_UpArrow` | Indicates that a scroll up arrow should be drawn
  `State_HasFocus` | Set if the menu bar has input focus.
  `CE_PushButton`, `CE_PushButtonBevel`, `CE_PushButtonLabel` | `QStyleOptionButton` | `State_Enabled` | Set if the button is enabled.
  `State_HasFocus` | Set if the button has input focus.
  `State_Raised` | Set if the button is not down, not on and not flat.
  `State_On` | Set if the button is a toggle button and is toggled on.
  `State_Sunken` | Set if the button is down (i.e., the mouse button or the space bar is pressed on the button).
  `CE_RadioButton`, `CE_RadioButtonLabel`, `CE_CheckBox`, `CE_CheckBoxLabel` | `QStyleOptionButton` | `State_Enabled` | Set if the button is enabled.
  `State_HasFocus` | Set if the button has input focus.
  `State_On` | Set if the button is checked.
  `State_Off` | Set if the button is not checked.
  `State_NoChange` | Set if the button is in the NoChange state.
  `State_Sunken` | Set if the button is down (i.e., the mouse button or the space bar is pressed on the button).
  `CE_ProgressBarContents`, `CE_ProgressBarLabel`, `CE_ProgressBarGroove` | `QStyleOptionProgressBar` | `State_Enabled` | Set if the progress bar is enabled.
  `State_HasFocus` | Set if the progress bar has input focus.
  `CE_Header`, `CE_HeaderSection`, `CE_HeaderLabel` | `QStyleOptionHeader` |  |
  `CE_TabBarTab`, `CE_TabBarTabShape`, `CE_TabBarTabLabel` | `QStyleOptionTab` | `State_Enabled` | Set if the tab bar is enabled.
  `State_Selected` | The tab bar is the currently selected tab bar.
  `State_HasFocus` | Set if the tab bar tab has input focus.
  `CE_ToolButtonLabel` | `QStyleOptionToolButton` | `State_Enabled` | Set if the tool button is enabled.
  `State_HasFocus` | Set if the tool button has input focus.
  `State_Sunken` | Set if the tool button is down (i.e., a mouse button or the space bar is pressed).
  `State_On` | Set if the tool button is a toggle button and is toggled on.
  `State_AutoRaise` | Set if the tool button has auto-raise enabled.
  `State_MouseOver` | Set if the mouse pointer is over the tool button.
  `State_Raised` | Set if the button is not down and is not on.
  `CE_ToolBoxTab` | `QStyleOptionToolBox` | `State_Selected` | The tab is the currently selected tab.
  `CE_HeaderSection` | `QStyleOptionHeader` | `State_Sunken` | Indicates that the section is pressed.
  `State_UpArrow` | Indicates that the sort indicator should be pointing up.
  `State_DownArrow` | Indicates that the sort indicator should be pointing down.

  Overrides:
    `drawControl` in class `QWindowsStyle`
  See Also:
    `drawPrimitive`, `drawComplexControl`

### drawPrimitive

    public void drawPrimitive(QStyle.PrimitiveElement element,
                              QStyleOption option,
                              QPainter painter,
                              QWidget widget)

  Draws the given primitive `element` with the provided `painter` using the style options specified by `option`.

  The `widget` argument is optional and may contain a widget that may aid in drawing the primitive element.

  The table below is listing the primitive elements and their associated style option subclasses. The style options contain all the parameters required to draw the elements, including QStyleOption::state which holds the style flags that are used when drawing. The table also describes which flags that are set when casting the given option to the appropriate subclass.

  Note that if a primitive element is not listed here, it is because it uses a plain `QStyleOption` object.

  Primitive Element | `QStyleOption` Subclass | Style Flag | Remark
  --- | --- | --- | ---
  `PE_FrameFocusRect` | `QStyleOptionFocusRect` | `State_FocusAtBorder` | Whether the focus is is at the border or inside the widget.
  `PE_IndicatorCheckBox` | `QStyleOptionButton` | `State_NoChange` | Indicates a "tri-state" checkbox.
  `State_On` | Indicates the indicator is checked.
  `PE_IndicatorRadioButton` | `QStyleOptionButton` | `State_On` | Indicates that a radio button is selected.
  `PE_Q3CheckListExclusiveIndicator`, `PE_Q3CheckListIndicator` | `QStyleOptionQ3ListView` | `State_On` | Indicates whether or not the controller is selected.
  `State_NoChange` | Indicates a "tri-state" controller.
  `State_Enabled` | Indicates the controller is enabled.
  `PE_IndicatorBranch` | `QStyleOption` | `State_Children` | Indicates that the control for expanding the tree to show child items, should be drawn.
  `State_Item` | Indicates that a horizontal branch (to show a child item), should be drawn.
  `State_Open` | Indicates that the tree branch is expanded.
  `State_Sibling` | Indicates that a vertical line (to show a sibling item), should be drawn.
  `PE_IndicatorHeaderArrow` | `QStyleOptionHeader` | `State_UpArrow` | Indicates that the arrow should be drawn up; otherwise it should be down.
  `PE_FrameGroupBox`, `PE_Frame`, `PE_FrameLineEdit`, `PE_FrameMenu`, `PE_FrameDockWidget` | `QStyleOptionFrame` | `State_Sunken` | Indicates that the Frame should be sunken.
  `PE_IndicatorToolBarHandle` | `QStyleOption` | `State_Horizontal` | Indicates that the window handle is horizontal instead of vertical.
  `PE_Q3DockWindowSeparator` | `QStyleOption` | `State_Horizontal` | Indicates that the separator is horizontal instead of vertical.
  `PE_IndicatorSpinPlus`, `PE_IndicatorSpinMinus`, `PE_IndicatorSpinUp`, `PE_IndicatorSpinDown`, | `QStyleOptionSpinBox` | `State_Sunken` | Indicates that the button is pressed.

  Overrides:
    `drawPrimitive` in class `QWindowsStyle`
  See Also:
    `drawComplexControl`, `drawControl`

### eventFilter

    public boolean eventFilter(QObject watched,
                               QEvent event)

  This function is reimplemented for internal reasons.

  Overrides:
    `eventFilter` in class `QWindowsStyle`
  See Also:
    `installEventFilter`

### hitTestComplexControl

    public int hitTestComplexControl(QStyle.ComplexControl control,
                                     QStyleOptionComplex option,
                                     QPoint pos,
                                     QWidget widget)

  Returns the sub control at the given `pos` in the given complex `control` (with the style options specified by `option`).

  Note that the `pos` is expressed in screen coordinates.

  The `option` argument is a pointer to a `QStyleOptionComplex` object (or one of its subclasses). The object can be cast to the appropriate type using the qstyleoption_cast() function. See `drawComplexControl` for details. The `widget` argument is optional and can contain additional information for the function.

  Overrides:
    `hitTestComplexControl` in class `QCommonStyle`
  See Also:
    `drawComplexControl`, `subControlRect`

### pixelMetric

    public int pixelMetric(QStyle.PixelMetric metric,
                           QStyleOption option,
                           QWidget widget)

  Returns the value of the given pixel `metric`.

  The specified `option` and `widget` can be used for calculating the metric. In general, the `widget` argument is not used. The `option` can be cast to the appropriate type using the qstyleoption_cast() function. Note that the `option` may be zero even for PixelMetrics that can make use of it. See the table below for the appropriate `option` casts:

  Pixel Metric | `QStyleOption` Subclass
  --- | ---
  `PM_SliderControlThickness` | `QStyleOptionSlider`
  `PM_SliderLength` | `QStyleOptionSlider`
  `PM_SliderTickmarkOffset` | `QStyleOptionSlider`
  `PM_SliderSpaceAvailable` | `QStyleOptionSlider`
  `PM_ScrollBarExtent` | `QStyleOptionSlider`
  `PM_TabBarTabOverlap` | `QStyleOptionTab`
  `PM_TabBarTabHSpace` | `QStyleOptionTab`
  `PM_TabBarTabVSpace` | `QStyleOptionTab`
  `PM_TabBarBaseHeight` | `QStyleOptionTab`
  `PM_TabBarBaseOverlap` | `QStyleOptionTab`

  Some pixel metrics are called from widgets and some are only called internally by the style. If the metric is not called by a widget, it is the discretion of the style author to make use of it. For some styles, this may not be appropriate.

  Overrides:
    `pixelMetric` in class `QWindowsStyle`

### polish

    public void polish(QApplication app)

  This function is reimplemented for internal reasons.

  Overrides:
    `polish` in class `QWindowsStyle`

### polish

    public void polish(QWidget widget)

  This function is reimplemented for internal reasons.

  Overrides:
    `polish` in class `QWindowsStyle`
  See Also:
    `unpolish`

### polish

    public void polish(QPalette pal)

  This function is reimplemented for internal reasons.

  Overrides:
    `polish` in class `QWindowsStyle`
  See Also:
    `QPalette`, `QApplication::setPalette`

### sizeFromContents

    public QSize sizeFromContents(QStyle.ContentsType type,
                                  QStyleOption option,
                                  QSize size,
                                  QWidget widget)

  Returns the size of the element described by the specified `option` and `type`, based on the provided `size`.

  The `option` argument is a pointer to a `QStyleOption` or one of its subclasses. The `option` can be cast to the appropriate type using the qstyleoption_cast() function. The `widget` is an optional argument and can contain extra information used for calculating the size.

  See the table below for the appropriate `option` casts:

  Contents Type | `QStyleOption` Subclass
  --- | ---
  `CT_PushButton` | `QStyleOptionButton`
  `CT_CheckBox` | `QStyleOptionButton`
  `CT_RadioButton` | `QStyleOptionButton`
  `CT_ToolButton` | `QStyleOptionToolButton`
  `CT_ComboBox` | `QStyleOptionComboBox`
  `CT_Splitter` | `QStyleOption`
  `CT_Q3DockWindow` | `QStyleOptionQ3DockWindow`
  `CT_ProgressBar` | `QStyleOptionProgressBar`
  `CT_MenuItem` | `QStyleOptionMenuItem`

  Overrides:
    `sizeFromContents` in class `QWindowsStyle`
  See Also:
    `ContentsType`, `QStyleOption`

### standardPalette

    public QPalette standardPalette()

  This function is reimplemented for internal reasons.

  Overrides:
    `standardPalette` in class `QStyle`

### styleHint

    public int styleHint(QStyle.StyleHint hint,
                         QStyleOption option,
                         QWidget widget,
                         QStyleHintReturn returnData)

  Returns an integer representing the specified style `hint` for the given `widget` described by the provided style `option`.

  Note that currently, the `returnData` and `widget` parameters are not used; they are provided for future enhancement. In addition, the `option` parameter is used only in case of the `SH_ComboBox_Popup`, `SH_ComboBox_LayoutDirection`, and `SH_GroupBox_TextLabelColor` style hints.

  Overrides:
    `styleHint` in class `QWindowsStyle`

### subControlRect

    public QRect subControlRect(QStyle.ComplexControl cc,
                                QStyleOptionComplex opt,
                                int sc,
                                QWidget widget)

  Returns the rectangle containing the specified `sc` of the given complex `cc` (with the style specified by `opt`). The rectangle is defined in screen coordinates.

  The `opt` argument is a pointer to `QStyleOptionComplex` or one of its subclasses, and can be cast to the appropriate type using the qstyleoption_cast() function. See `drawComplexControl` for details. The `widget` is optional and can contain additional information for the function.

  Overrides:
    `subControlRect` in class `QCommonStyle`
  See Also:
    `drawComplexControl`

### subElementRect

    public QRect subElementRect(QStyle.SubElement element,
                                QStyleOption option,
                                QWidget widget)

  Returns the sub-area for the given `element` as described in the provided style `option`. The returned rectangle is defined in screen coordinates.

  The `widget` argument is optional and can be used to aid determining the area. The `QStyleOption` object can be cast to the appropriate type using the qstyleoption_cast() function. See the table below for the appropriate `option` casts:

  Sub Element | `QStyleOption` Subclass
  --- | ---
  `SE_PushButtonContents` | `QStyleOptionButton`
  `SE_PushButtonFocusRect` | `QStyleOptionButton`
  `SE_CheckBoxIndicator` | `QStyleOptionButton`
  `SE_CheckBoxContents` | `QStyleOptionButton`
  `SE_CheckBoxFocusRect` | `QStyleOptionButton`
  `SE_RadioButtonIndicator` | `QStyleOptionButton`
  `SE_RadioButtonContents` | `QStyleOptionButton`
  `SE_RadioButtonFocusRect` | `QStyleOptionButton`
  `SE_ComboBoxFocusRect` | `QStyleOptionComboBox`
  `SE_Q3DockWindowHandleRect` | `QStyleOptionQ3DockWindow`
  `SE_ProgressBarGroove` | `QStyleOptionProgressBar`
  `SE_ProgressBarContents` | `QStyleOptionProgressBar`
  `SE_ProgressBarLabel` | `QStyleOptionProgressBar`

  Overrides:
    `subElementRect` in class `QWindowsStyle`

### timerEvent

    protected void timerEvent(QTimerEvent event)

  This function is reimplemented for internal reasons.

  Overrides:
    `timerEvent` in class `QWindowsStyle`
  See Also:
    `startTimer`, `killTimer`, `event`

### unpolish

    public void unpolish(QApplication app)

  This function is reimplemented for internal reasons.

  Overrides:
    `unpolish` in class `QWindowsStyle`

### unpolish

    public void unpolish(QWidget widget)

  This function is reimplemented for internal reasons.

  Overrides:
    `unpolish` in class `QWindowsStyle`
  See Also:
    `polish`

### fromNativePointer

    public static QPlastiqueStyle fromNativePointer(QNativePointer nativePointer)

  This function returns the QPlastiqueStyle instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD